Bug 218720

Summary: Unable to access NFS4/KRB5
Product: [Fedora] Fedora Reporter: Matthew Booth <mbooth>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Fedora 8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-04 08:50:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 218992    

Description Matthew Booth 2006-12-06 18:51:10 EST
Description of problem:
I have a working kerberized NFS4 setup. Server is RHEL 4 with updated packages:
krb5-libs-1.5-3
nfs-utils-lib-1.0.8-7.2
nfs-utils-1.0.9-5

Exports are:
/var/lib/nfs4          
gss/krb5(rw,fsid=0,insecure,no_subtree_check,sync,anonuid=65534,anongid=65534)
/var/lib/nfs4/video    
gss/krb5(ro,nohide,insecure,no_subtree_check,sync,anonuid=65534,anongid=65534)
/var/lib/nfs4/photos   
gss/krb5(rw,nohide,insecure,no_subtree_check,sync,anonuid=65534,anongid=65534)

I regularly access this from another RHEL 4 box with similarly updated packages.
I'm trying to access it from FC6.

I mount the fs with:
mount -t nfs4 -o sec=krb5,fstype=nfs4,hard,intr gideon.revolutionwall.net:/ /mnt/
This succeeds. As a regular user, I kinit and try to access the mount:
[mbooth@mbooth ~]$ ls -l /mnt 
ls: /mnt/photos: No such file or directory
ls: /mnt/video: No such file or directory
total 16
drwxrwsr-x 157 root vol 8192 Nov 30 19:41 photos
drwxrws---   7 root vol 4096 Oct 23 22:22 video

I see the following in /var/log/messages:
net/sunrpc/rpc_pipe.c: rpc_lookup_parent failed t
o find path /nfs/clnt11/krb5

If I run rpc.gssd on the client manually with -f -vvvvvvvrrrrrrrrr, on mount I
also see the error message:
Warning: rpc.gssd appears not to be running.

If I start rpcgssd with service rpcgssd start, I do not see this message.
Nevertheless, in both cases it is most certainly running.

SELinux is completely disabled.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-4.fc6
kernel-2.6.18-1.2849.fc6
Comment 1 Steve Dickson 2007-03-12 14:45:18 EDT
what architecture are you using? there as a recent bug found in
x86_64 arch that as causing krb5 mounts to fail... 
Comment 2 Matthew Booth 2007-06-17 18:09:20 EDT
Arch is i386
Comment 3 Steve Dickson 2007-06-18 07:33:55 EDT
Try adding 'crossmnt' or 'nohide' to your exports flags.
Comment 4 Bug Zapper 2008-04-04 01:07:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers